Package jakarta.annotation

# Annotation Type Generated

@Documented @Target({ANNOTATION_TYPE,CONSTRUCTOR,FIELD,LOCAL_VARIABLE,METHOD,PACKAGE,PARAMETER,TYPE}) @Retention(SOURCE) public @interface Generated
Used to identify generated code.

Since:
  Common Annotations 1.0

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `String[]`
  `value`

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String`
  `comments`
  `String`
  `date`

- ## Element Details

  - ### value

    String[] value
    Returns:
      The name of the code generator. It is recommended that the fully qualified name of the code generator is used.

- - ### date

    String date
    Returns:
      The date the code was generated
    Default:
      ""

  - ### comments

    String comments
    Returns:
      Additional comments (if any) related to the code generation
    Default:
      ""